%define drel 1
%define subrel 1
%{?!mdkversion: %define mdkversion %(perl -pe '/(\d+)\.(\d)\.?(\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)}
%define rel		%(case `hostname` in (n?.mandrakesoft.com) echo %drel;;(*) echo $[%drel-1].%subrel.$[%mdkversion/10];;esac)mdk
%{?_with_stable_on_cluster: %define rel %(echo $[%{drel}-1].%subrel.$[%{mdkversion}/10]mdk)}
%if %mdkversion < 1010
%define __libtoolize /bin/true
%endif

Name:		klamav
Version:	0.05
Release:	%rel
Summary:	KDE frontend for the Clam AntiVirus virus scanner
URL:		http://sourceforge.net/projects/klamav/
License:	GPL
Group:		File tools
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch:		klamav-0.05-default-db-dir.patch.bz2
BuildRequires:	kdelibs-devel
Requires:	clamav
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
more goes here

%prep
%setup -q
%patch -p1

%build
%configure
%make

%install
rm -Rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/{%{_menudir},%{_miconsdir},%{_liconsdir}}
kdedesktop2mdkmenu.pl %{name} "System/File Tools" %{buildroot}/%{_datadir}/applnk/Utilities/klamav.desktop %{buildroot}/%{_menudir}/%{name}
ln -s %{_iconsdir}/locolor/16x16/apps/%{name}.png %{buildroot}/%{_miconsdir}/%{name}.png
ln -s %{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}/%{_iconsdir}/%{name}.png
ln -s %{_iconsdir}/hicolor/48x48/apps/%{name}.png %{buildroot}/%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -Rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/apps/%{name}
%{_iconsdir}/*/*/*/%{name}.png
%{_datadir}/applnk/Utilities/klamav.desktop
%{_datadir}/apps/konqueror/servicemenus/klamav-dropdown.desktop
%{_datadir}/doc/HTML/en/klamav02/
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Tue Sep 28 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.05-1mdk
- first Mandrake package
- p0 to use our clamav-db path
